package com.ruoyi.project.patrol.fire.mapper;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFireSandbox;

/**
 * 应急沙箱Mapper接口
 * 
 * @author admin
 * @date 2023-11-02
 */
public interface TFireSandboxMapper 
{
    /**
     * 查询应急沙箱
     * 
     * @param id 应急沙箱主键
     * @return 应急沙箱
     */
    public TFireSandbox selectTFireSandboxById(Long id);

    /**
     * 查询应急沙箱列表
     * 
     * @param tFireSandbox 应急沙箱
     * @return 应急沙箱集合
     */
    public List<TFireSandbox> selectTFireSandboxList(TFireSandbox tFireSandbox);

    /**
     * 新增应急沙箱
     * 
     * @param tFireSandbox 应急沙箱
     * @return 结果
     */
    public int insertTFireSandbox(TFireSandbox tFireSandbox);

    /**
     * 修改应急沙箱
     * 
     * @param tFireSandbox 应急沙箱
     * @return 结果
     */
    public int updateTFireSandbox(TFireSandbox tFireSandbox);

    /**
     * 删除应急沙箱
     * 
     * @param id 应急沙箱主键
     * @return 结果
     */
    public int deleteTFireSandboxById(Long id);

    /**
     * 批量删除应急沙箱
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFireSandboxByIds(Long[] ids);
}
